<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:58 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
OptionsMethod (HttpClient 3.1 API)
</TITLE>

<META NAME="keywords" CONTENT="org.apache.commons.httpclient.methods.OptionsMethod class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="OptionsMethod (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/OptionsMethod.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/methods/MultipartPostMethod.html" title="class in org.apache.commons.httpclient.methods"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html" title="class in org.apache.commons.httpclient.methods"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/methods/OptionsMethod.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="OptionsMethod.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.commons.httpclient.HttpMethodBase">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.commons.httpclient.methods</FONT>
<BR>
Class OptionsMethod</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html" title="class in org.apache.commons.httpclient">org.apache.commons.httpclient.HttpMethodBase</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.commons.httpclient.methods.OptionsMethod</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>OptionsMethod</B><DT>extends <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html" title="class in org.apache.commons.httpclient">HttpMethodBase</A></DL>
</PRE>

<P>
Implements the HTTP OPTIONS method.
 <p>
 The HTTP OPTIONS method is defined in section 9.2 of 
 <a href="http://www.ietf.org/rfc/rfc2616.txt">RFC2616</a>:
 <blockquote>
  The OPTIONS method represents a request for information about the
  communication options available on the request/response chain
  identified by the Request-URI. This method allows the client to
  determine the options and/or requirements associated with a resource,
  or the capabilities of a server, without implying a resource action
  or initiating a resource retrieval.
 </blockquote>
 </p>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>1.0</DD>
<DT><B>Version:</B></DT>
  <DD>$Revision$</DD>
<DT><B>Author:</B></DT>
  <DD><a href="mailto:remm@apache.org">Remy Maucherat</a>, <a href="mailto:mbowler@GargoyleSoftware.com">Mike Bowler</a>, <a href="mailto:jsdever@apache.org">Jeff Dever</a></DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.commons.httpclient.HttpMethodBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.commons.httpclient.<A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html" title="class in org.apache.commons.httpclient">HttpMethodBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#effectiveVersion">effectiveVersion</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#statusLine">statusLine</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/OptionsMethod.html#OptionsMethod()">OptionsMethod</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Method constructor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/OptionsMethod.html#OptionsMethod(java.lang.String)">OptionsMethod</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;uri)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor specifying a URI.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Enumeration.html" title="class or interface in java.util">Enumeration</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/OptionsMethod.html#getAllowedMethods()">getAllowedMethods</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get a list of allowed methods.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/OptionsMethod.html#getName()">getName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/OptionsMethod.html#isAllowed(java.lang.String)">isAllowed</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;method)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Is the specified method allowed ?</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/OptionsMethod.html#needContentLength()">needContentLength</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>only entity enclosing methods set content length header</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/methods/OptionsMethod.html#processResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processResponseHeaders</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                       <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 This implementation will parse the <tt>Allow</tt> header to obtain 
 the set of methods supported by the resource identified by the Request-URI.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.commons.httpclient.HttpMethodBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.commons.httpclient.<A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html" title="class in org.apache.commons.httpclient">HttpMethodBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#abort()">abort</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addCookieRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addCookieRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addHostRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addHostRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addProxyConnectionHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addProxyConnectionHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addRequestHeader(org.apache.commons.httpclient.Header)">addRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addRequestHeader(java.lang.String, java.lang.String)">addRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addRequestHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addRequestHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addResponseFooter(org.apache.commons.httpclient.Header)">addResponseFooter</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#addUserAgentRequestHeader(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">addUserAgentRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#checkNotUsed()">checkNotUsed</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#checkUsed()">checkUsed</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#execute(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">execute</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#generateRequestLine(org.apache.commons.httpclient.HttpConnection, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">generateRequestLine</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getAuthenticationRealm()">getAuthenticationRealm</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getContentCharSet(org.apache.commons.httpclient.Header)">getContentCharSet</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getDoAuthentication()">getDoAuthentication</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getEffectiveVersion()">getEffectiveVersion</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getFollowRedirects()">getFollowRedirects</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getHostAuthState()">getHostAuthState</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getHostConfiguration()">getHostConfiguration</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getMethodRetryHandler()">getMethodRetryHandler</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getParams()">getParams</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getPath()">getPath</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getProxyAuthenticationRealm()">getProxyAuthenticationRealm</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getProxyAuthState()">getProxyAuthState</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getQueryString()">getQueryString</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getRecoverableExceptionCount()">getRecoverableExceptionCount</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getRequestCharSet()">getRequestCharSet</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getRequestHeader(java.lang.String)">getRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getRequestHeaderGroup()">getRequestHeaderGroup</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getRequestHeaders()">getRequestHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getRequestHeaders(java.lang.String)">getRequestHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseBody()">getResponseBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseBody(int)">getResponseBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseBodyAsStream()">getResponseBodyAsStream</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseBodyAsString()">getResponseBodyAsString</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseBodyAsString(int)">getResponseBodyAsString</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseCharSet()">getResponseCharSet</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseContentLength()">getResponseContentLength</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseFooter(java.lang.String)">getResponseFooter</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseFooters()">getResponseFooters</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseHeader(java.lang.String)">getResponseHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseHeaderGroup()">getResponseHeaderGroup</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseHeaders()">getResponseHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseHeaders(java.lang.String)">getResponseHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseStream()">getResponseStream</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getResponseTrailerHeaderGroup()">getResponseTrailerHeaderGroup</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getStatusCode()">getStatusCode</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getStatusLine()">getStatusLine</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getStatusText()">getStatusText</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getURI()">getURI</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#hasBeenUsed()">hasBeenUsed</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#isAborted()">isAborted</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#isConnectionCloseForced()">isConnectionCloseForced</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#isHttp11()">isHttp11</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#isRequestSent()">isRequestSent</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#isStrictMode()">isStrictMode</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processCookieHeaders(org.apache.commons.httpclient.cookie.CookieSpec, org.apache.commons.httpclient.Header[], org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processCookieHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processResponseBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processResponseBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processStatusLine(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processStatusLine</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponse(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readResponse</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponseBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readResponseBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readResponseHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readStatusLine(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">readStatusLine</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#recycle()">recycle</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#releaseConnection()">releaseConnection</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#removeRequestHeader(org.apache.commons.httpclient.Header)">removeRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#removeRequestHeader(java.lang.String)">removeRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#responseBodyConsumed()">responseBodyConsumed</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setConnectionCloseForced(boolean)">setConnectionCloseForced</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setDoAuthentication(boolean)">setDoAuthentication</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setFollowRedirects(boolean)">setFollowRedirects</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setHostConfiguration(org.apache.commons.httpclient.HostConfiguration)">setHostConfiguration</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setHttp11(boolean)">setHttp11</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setMethodRetryHandler(org.apache.commons.httpclient.MethodRetryHandler)">setMethodRetryHandler</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setParams(org.apache.commons.httpclient.params.HttpMethodParams)">setParams</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setPath(java.lang.String)">setPath</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setQueryString(org.apache.commons.httpclient.NameValuePair[])">setQueryString</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setQueryString(java.lang.String)">setQueryString</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setRequestHeader(org.apache.commons.httpclient.Header)">setRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setRequestHeader(java.lang.String, java.lang.String)">setRequestHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setResponseStream(java.io.InputStream)">setResponseStream</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setStrictMode(boolean)">setStrictMode</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#setURI(org.apache.commons.httpclient.URI)">setURI</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#shouldCloseConnection(org.apache.commons.httpclient.HttpConnection)">shouldCloseConnection</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#validate()">validate</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#writeRequest(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequest</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#writeRequestBody(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestBody</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#writeRequestHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestHeaders</A>, <A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#writeRequestLine(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">writeRequestLine</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="OptionsMethod()"><!-- --></A><H3>
OptionsMethod</H3>
<PRE>
public <B>OptionsMethod</B>()</PRE>
<DL>
<DD>Method constructor.
<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>1.0</DD>
</DL>
</DL>
<HR>

<A NAME="OptionsMethod(java.lang.String)"><!-- --></A><H3>
OptionsMethod</H3>
<PRE>
public <B>OptionsMethod</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;uri)</PRE>
<DL>
<DD>Constructor specifying a URI.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>uri</CODE> - either an absolute or relative URI<DT><B>Since:</B></DT>
  <DD>1.0</DD>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getName()"><!-- --></A><H3>
getName</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getName</B>()</PRE>
<DL>
<DD>Get the name.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#getName()">getName</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#getName()">getName</A></CODE> in class <CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html" title="class in org.apache.commons.httpclient">HttpMethodBase</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>"OPTIONS"<DT><B>Since:</B></DT>
  <DD>2.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="isAllowed(java.lang.String)"><!-- --></A><H3>
isAllowed</H3>
<PRE>
public boolean <B>isAllowed</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;method)</PRE>
<DL>
<DD>Is the specified method allowed ?
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>method</CODE> - The method to check.
<DT><B>Returns:</B><DD>true if the specified method is allowed.<DT><B>Since:</B></DT>
  <DD>1.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="getAllowedMethods()"><!-- --></A><H3>
getAllowedMethods</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Enumeration.html" title="class or interface in java.util">Enumeration</A> <B>getAllowedMethods</B>()</PRE>
<DL>
<DD>Get a list of allowed methods.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>An enumeration of all the allowed methods.<DT><B>Since:</B></DT>
  <DD>1.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="processResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)"><!-- --></A><H3>
processResponseHeaders</H3>
<PRE>
protected void <B>processResponseHeaders</B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient">HttpState</A>&nbsp;state,
                                      <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient">HttpConnection</A>&nbsp;conn)</PRE>
<DL>
<DD><p>
 This implementation will parse the <tt>Allow</tt> header to obtain 
 the set of methods supported by the resource identified by the Request-URI.
 </p>
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#processResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)">processResponseHeaders</A></CODE> in class <CODE><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html" title="class in org.apache.commons.httpclient">HttpMethodBase</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>state</CODE> - the <A HREF="../../../../../org/apache/commons/httpclient/HttpState.html" title="class in org.apache.commons.httpclient"><CODE>state</CODE></A> information associated with this method<DD><CODE>conn</CODE> - the <A HREF="../../../../../org/apache/commons/httpclient/HttpConnection.html" title="class in org.apache.commons.httpclient"><CODE>connection</CODE></A> used to execute
        this HTTP method<DT><B>Since:</B></DT>
  <DD>2.0</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponse(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)"><CODE>HttpMethodBase.readResponse(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)</CODE></A>, 
<A HREF="../../../../../org/apache/commons/httpclient/HttpMethodBase.html#readResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)"><CODE>HttpMethodBase.readResponseHeaders(org.apache.commons.httpclient.HttpState, org.apache.commons.httpclient.HttpConnection)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="needContentLength()"><!-- --></A><H3>
needContentLength</H3>
<PRE>
public boolean <B>needContentLength</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>only entity enclosing methods set content length header</I>
<P>
<DD>Return true if the method needs a content-length header in the request.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>true if a content-length header will be expected by the server<DT><B>Since:</B></DT>
  <DD>1.0</DD>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/OptionsMethod.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/methods/MultipartPostMethod.html" title="class in org.apache.commons.httpclient.methods"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/methods/PostMethod.html" title="class in org.apache.commons.httpclient.methods"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/methods/OptionsMethod.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="OptionsMethod.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.apache.commons.httpclient.HttpMethodBase">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
